All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class DefaultFilterLogicNotNode

    com.sas.dataselectors.filters.DefaultFilterLogicNotNode

All Implemented Interfaces:
  FilterLogicBaseNodeInterface, FilterLogicNotNodeInterface, java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    @SASScope(value="ALL")
    public class DefaultFilterLogicNotNode

implements FilterLogicNotNodeInterface

The default implementation of FilterLogicNotNodeInterface, this tree node will cause the results of its single child node to be negated.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.dataselectors.filters.AbstractFilterLogicBaseNode
`description, label, propertyChangeSupport`

Fields inherited from interface com.sas.dataselectors.filters.FilterLogicNotNodeInterface
`FILTERLOGIC_NODE_TYPE`

Constructor Summary
`DefaultFilterLogicNotNode()`

Method Summary
`boolean` | `getAllowsChildren()` Returns true if the node allows children, false otherwise.
`int` | `getMaxChildren()` Returns the maximum number of child nodes allowed.
`boolean` | `isLeaf()` Returns true if the node is a leaf, false otherwise.

Methods inherited from class com.sas.dataselectors.filters.AbstractFilterLogicBaseNode
`addPropertyChangeListener, clone, dispose, firePropertyChange, firePropertyChange, getChildLogicNodeAt, getFilterDescription, getFilterLabel, getIndex, getParentLogicNode, removePropertyChangeListener, setFilterDescription, setFilterLabel, setUserObject`

Methods inherited from interface com.sas.dataselectors.filters.FilterLogicBaseNodeInterface
`dispose, getChildLogicNodeAt, getFilterDescription, getFilterLabel, getParentLogicNode, getUserObject`

Constructor Detail

### DefaultFilterLogicNotNode

    public DefaultFilterLogicNotNode()

Method Detail

### getMaxChildren

    public int getMaxChildren()

  Returns the maximum number of child nodes allowed.

  Specified by:
    `getMaxChildren` in interface `FilterLogicBaseNodeInterface`
  Overrides:
    `getMaxChildren` in class `AbstractFilterLogicBaseNode`
  Returns:
    1, Allows just one node to be negated

### getAllowsChildren

    public boolean getAllowsChildren()

  Returns true if the node allows children, false otherwise.

  Specified by:
    `getAllowsChildren` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `getAllowsChildren` in class `javax.swing.tree.DefaultMutableTreeNode`
  Returns:
    true, children will always be allowed for this type of node

### isLeaf

    public boolean isLeaf()

  Returns true if the node is a leaf, false otherwise.

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `isLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`
  Returns:
    false, this node should not be a leaf

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.